Subject: Re: linux-next: manual merge of the drm-msm-fixes tree with the origin tree

From: Kees Cook <[email-masked]>
Date: Wed, 25 Feb 2026 12:37:58 -0800

On Wed, Feb 25, 2026 at 08:11:21PM +0200, Dmitry Baryshkov wrote:
> On Wed, 25 Feb 2026 at 19:56, Kees Cook <[email-masked]> wrote:
> >
> > On Wed, Feb 25, 2026 at 07:42:12PM +0200, Dmitry Baryshkov wrote:
> > > On Wed, 25 Feb 2026 at 15:22, Mark Brown <[email-masked]> wrote:
> > > >
> > > > Hi all,
> > > >
> > > > Today's linux-next merge of the drm-msm-fixes tree got a conflict in:
> > > >
> > > >   drivers/gpu/drm/msm/msm_iommu.c
> > > >
> > > > between commits:
> > > >
> > > >   48634a9ea06a4 ("drm/msm: Adjust msm_iommu_pagetable_prealloc_allocate() allocation type")
> > >
> > > Kees, why was it landed? And how? It was not Ack'ed (nor was it
> > > requested) to go through the non-drm-msm tree. There was no note that
> > > it got applied. What is going on?
> >
> > It was a prerequisite for the tree-wide changes, so I had to send it to
> > Linus ahead of the -rc1 release. Sorry for the collision there! I waited
> > as long as I could, but the msm-fixes tree wasn't sent for -rc1, so I
> > had to include the patch in the prep patches:
> > https://lore.kernel.org/lkml/202602191029.2F0E7F01@keescook/
> 
> Was it coordinated with drm/msm maintainers? Not with me at least. Did
> we hear anything from you, like `Would you ack merging it through the
> XYZ tree`? Did we at least get the `b4 ty` or `picked up, sorry, I was
> in a rush to merge my changes which were tested in linux-next`? Nope.
> Is it how the community is expected to work? Not really.

I apologize for not communicating this in a more direct and timely
fashion. It was a rare case, and I didn't follow the expected
procedures. I'll be sure to do such notifications if there is ever need
for such out-of-band patch handling like this again. It's been a lot of
years since I did my last large-scale tree-wide refactoring, so I was
a bit rusty.

-- 
Kees Cook